@import url(style/variables.css);

.museum-icon {
    padding: 5px;
    position: absolute;
    top: 70px;
    right: 30px;
    width: clamp(100px, 5vw, 100px);
    height: auto;
    border-radius: 50%;
    box-shadow: var(--primary-box-shadow);
    z-index: 10;
    cursor: pointer;
}

nav {
    position: absolute;
    top: 138px;
    left: 63px;
    width: 10%;
    height: auto;
    border-style: double;
    border-color: var(--primary-colour);
    justify-content: center;
    max-width: 160px;
    min-width: 55px;
    padding: 1px;
    margin: 0;
}

.menu-button {
    background-color: var(--primary-button-colour);
    color: var(--primary-colour);
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    width: 100%;
    height: auto;
    text-decoration: none;
}

.dropdown-menu {
    display: none;
    position: absolute;
    top: 50px;
    background-color: var(--primary-background-colour);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    min-width: 151px;
    width: 100%;
    z-index: 10;
}

.dropdown-menu.show {
    display: block;
}

.dropdown-item {
    display: block;
    padding: 10px 15px;
    color: var(--primary-colour);
    text-decoration: none;
    background-color: var(--primary-background-colour);
    text-align: center;
    transition: background-color 0.3s ease, color 0.3s ease;
    border-color: var(--primary-colour);
    border-style: double;
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dropdown-menu {
    display: none;
    position: absolute;
    top: 50px;
    background-color: var(--primary-background-colour);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    min-width: 151px;
    width: 100%;
    z-index: 10;
}

.dropdown-menu.show {
    display: block;
}


@media (max-width: 1087px) {

    .dropdown-item {
        font: 50px;
        overflow: hidden;
    }

    .museum-icon {
    width: clamp(100px, 8vw, 100px);
    }

    .dropdown-menu {
        font: 10px;
        width: auto;
    }
}

@media (max-width: 768px) {

    .museum-icon {
        max-width: 70px;
    }

    .menu-button {
        font-size: 14px;
        max-width: 100px;
        padding: 8px 16px;
    }

    .dropdown-item {
        font-size: 14px;
        padding: 12px 14px;
        
    }
}